<?php
$action = (isset($_GET['action'])) ? sanitize_text_field($_GET['action']) : '';
$heading = '';
$id = (isset($_GET['slider'])) ? absint(intval($_GET['slider'])) : null;
$options = array(
    "admin_pagination" => "all",
    'show_title' => 1,
    'images_orderby' => 'noordering',
    'margin' => 0,
    'images_loading' => "all_loaded",
    'nav_arrows' => 1,
    'nav_type' => 'dots',
    'thumb_h' => 50,
    'thumb_w' => 50,
    'thumb_c' => 3,
    'pause_hover' => 1,
    'animation_in' => "slideInLeft",
    'animation_out' => "slideOutRight",
    'animation_speed' => 500,
    'border_radius' => 0,
    'timeout' => 2000,
    'filter' => 'none',
    'filter_value' => '',
    'active_tab' => 'Images',
    'image_object_fit' => 'contain',
    'slider_bgcolor' => '#ffffff',
    'slider_title_color' => '#ffffff',
    'custom_class'=>"",
);
$slider = array(
    "id" => "",
    "title" => "Demo title",
    "description" => "Demo description",
    "images" => "",
    "images_titles" => "",
    "images_descs" => "",
    "images_alts" => "",
    "images_urls" => "",
    "images_dates" => "",
    "width" => "800",
    "height" => "400",
    "custom_css" => "",
    "options" => json_encode($options, true),
);


switch ($action) {
case 'add':
    if ($id == null) {
        $heading = __('Add new slider', $this->plugin_name);
    } else {
        $heading = __('Edit slider', $this->plugin_name);
        $slider = $this->slider_obj->get_slider_by_id($id);
    }
    break;
case 'edit':
    $heading = __('Edit slider', $this->plugin_name);
    $slider = $this->slider_obj->get_slider_by_id($id);
    break;
}
if (isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"])) {
    $_POST["id"] = $id;
    $this->slider_obj->add_or_edit_slider($_POST);
}
if (isset($_POST["ays-apply"]) || isset($_POST["ays-apply-top"])) {
    $_POST["id"] = $id;
    $_POST["submit_type"] = 'apply';
    $this->slider_obj->add_or_edit_slider($_POST);
}
$sld_options = json_decode($slider['options'], true);
$admin_pagination = (!isset($sld_options['admin_pagination']) || empty($sld_options['admin_pagination'])) ? "all" : $sld_options['admin_pagination'];
// echo '<pre>';
// var_dump($admin_pagination);
// wp_die();
?>
<div class="wrap">
    <div class="container-fluid">
    <form id="ays-sld-form" method="post">
    <input type="hidden" name="ays-sld-active-tab" id="ays-sld-active-tab" value="<?=isset($sld_options['active_tab']) ? $sld_options['active_tab'] : "Images";?>">
    <h1 class="wp-heading-inline">
        <?=$heading;?>
        <input type="submit" name="ays-submit-top" class="ays-submit action-button button-primary" value="<?=__("Save Slider", $this->plugin_name);?>" />
        <input type="submit" name="ays-apply-top" class="ays-submit action-button button" value="<?=__("Apply Slider", $this->plugin_name);?>" />
    </h1>
    <?= "<style>
                .ays_ays_img {
                        display: block;
                        width: 100%;
                        height: 100%;
                        background-image: url('" . AYS_SLD_ADMIN_URL . 'images/no-photo.png' . "');
                        background-size: 220px 125px;
                        background-position: center center;
                    }
            </style>";
?>
    <div class="nav-tab-wrapper">
        <a href="#tab1" data-title="Images" class="nav-tab <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Images' ? 'nav-tab-active' : '';?> <?=!isset($sld_options['active_tab']) || $sld_options['active_tab'] == 'undefined' ? 'nav-tab-active' : '';?>"><?=__("Images", $this->plugin_name);?></a>
        <a href="#tab2" data-title="Settings" class="nav-tab <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Settings' ? 'nav-tab-active' : '';?>"><?=__("Settings", $this->plugin_name);?></a>
        <a href="#tab3" data-title="Styles" class="nav-tab <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Styles' ? 'nav-tab-active' : '';?>"><?=__("Styles", $this->plugin_name);?></a>
    </div>
    <div id="tab1" class="ays-slider-tab-content <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Images' ? 'ays-slider-tab-content-active' : '';?> <?=!isset($sld_options['active_tab']) || $sld_options['active_tab'] == 'undefined' ? 'ays-slider-tab-content-active' : '';?>">
        <br>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="slider_title"><?=__("Slider Title", $this->plugin_name);?><a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?=__("The name of the slider", $this->plugin_name);?>">
                                      <i class="fas fa-info-circle"></i>
                                  </a></label>
            </div>
            <div class="col-sm-9">
                <input type="text" data-required="true" name="slider_title" id="slider_title" class="ays-text-input" placeholder="<?=__("Slider Title", $this->plugin_name);?>" value="<?= esc_attr( stripslashes( $slider["title"] ));?>"/>
            </div>
        </div>
        <hr/>
        <div class="ays-field">
            <label for="slider_description"><?=__("Slider Description", $this->plugin_name);?><a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?=__("The description of slider", $this->plugin_name);?>">
                                      <i class="fas fa-info-circle"></i>
                                  </a></label>
            <textarea class="ays-textarea" name="slider_description" id="slider_description" placeholder="<?=__("Slider Description", $this->plugin_name);?>"><?=wp_unslash($slider["description"]);?></textarea>
        </div>
        <hr/>
        <p class="ays-subtitle"><?=__('Add Images', $this->plugin_name);?></p>
        <h6><?=__('Upload images for your slider', $this->plugin_name);?></h6>
        <button class="ays-add-images button"><?=__("Add image +", $this->plugin_name);?></button>
        <button class="ays-add-multiple-images button"><?=__("Add multiple images +", $this->plugin_name);?></button>
        <button type="button" class="ays_bulk_del_images button" disabled><?=__("Delete", $this->plugin_name);?></button>
        <button type="button" class="ays_select_all_images button"><?=__("Select all", $this->plugin_name);?></button>
        <input type="hidden" id="ays_image_lang_title" value="<?=__("It shows the name of the inserted picture", $this->plugin_name);?>">
        <input type="hidden" id="ays_image_lang_alt" value="<?=__("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name);?>">
        <input type="hidden" id="ays_image_lang_desc" value="<?=__("This field shows the description of the chosen image", $this->plugin_name);?>">
        <input type="hidden" id="ays_image_lang_url" value="<?=__("This section is for the URL address", $this->plugin_name);?>">
        <hr/>
        <div>
            <select name="ays_admin_pagination" id="ays_admin_pagination">
                <option <?=$sld_options['admin_pagination'] == "all" ? "selected" : "";?> value="all"><?=__("All", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "5" ? "selected" : "";?> value="5"><?=__("5", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "10" ? "selected" : "";?> value="10"><?=__("10", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "15" ? "selected" : "";?> value="15"><?=__("15", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "20" ? "selected" : "";?> value="20"><?=__("20", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "25" ? "selected" : "";?> value="25"><?=__("25", $this->plugin_name);?></option>
                <option <?=$admin_pagination == "30" ? "selected" : "";?> value="30"><?=__("30", $this->plugin_name);?></option>
            </select>
            <a class="ays_help" data-toggle="tooltip" title="<?=__("This field is for the creation of pagination", $this->plugin_name);?>">
               <i class="fas fa-info-circle"></i>
            </a>
            <span class="ays_slider_image_hover_icon_text"><?=__("Image pagination", $this->plugin_name);?></span>
        </div>
        <hr/>
        <div class="paged_ays_accordion">
        <?php
if ($id == null):
?>
        <ul class="ays-accordion">
            <li>
                <i class="fas fa-trash-alt ays-delete-image"></i>
                <i class="fas fa-arrows-alt ays-move-images"></i>
                <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
                <div class="ays_image_add_div">
                    <span class="ays_ays_img"></span>
                    <div class="ays_image_add_icon"><i class="fas fa-plus ays-upload-btn"></i></div>
                </div>
                <div class="ays_image_thumb">
                    <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                    <img>
                </div>
                <input type="hidden" name="ays-image-path[]">
                <div class="ays-image-attributes">
                    <div class="ays_image_attr_item">
                        <label>
                            <?=__("Image title", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("It shows the name of the inserted picture", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?=__("Image title", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?=__("Image alt", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?=__("Image alt", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?=__("Image description", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the description of the chosen image", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?=__("Image description", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?=__("URL", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("This section is for the URL address", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?=__("URL", $this->plugin_name);?>"/>
                    </div>
                    <input type="hidden" name="ays-image-date[]" class="ays_img_date"/>
                </div>
            </li>
        </ul>
            <?php
else:
    $images = explode("***", $slider["images"]);
    $images_titles = explode("***", $slider["images_titles"]);
    $images_descriptions = explode("***", $slider["images_descs"]);
    $images_alts = explode("***", $slider["images_alts"]);
    $images_urls = explode("***", $slider["images_urls"]);
    $images_dates = explode("***", $slider["images_dates"]);
    if ($admin_pagination != "all") {
        $pages = ceil(count($images) / $admin_pagination);
        $qanak = 0;
        for ($i = 0; $i < $pages; $i++) {
            if ($i == 0) {
                $accordion_active = "ays_accordion_active";
            } else {
                $accordion_active = "";
            }
            ?>
					                <ul class="ays-accordion ays_accordion <?=$accordion_active;?>" id="page_<?=$i;?>">
					                <?php
    for ($key = $qanak, $j = 0; $key < count($images); $key++, $j++) {
                if ($j >= $admin_pagination) {
                    $qanak = $key;
                    break;
                }
                ?>
					                        <li>
					                            <i class="fas fa-trash-alt ays-delete-image"></i>
					                            <i class="fas fa-arrows-alt ays-move-images"></i>
					                            <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
                                                <div class="ays_image_thumb" style="display: block;">
					                                <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                                                    <?php if($image != ""):?>
					                                    <img class="ays_ays_img" style="background-image:none;" src="<?=$image;?>">
                                                    <?php else:?>
                                                        <img class="ays_ays_img" >    
                                                    <?php endif;?>
					                            </div>
					                            <input type="hidden" name="ays-image-path[]" value="<?=$images[$key];?>">
					                            <div class="ays-image-attributes">
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image title", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("It shows the name of the inserted picture", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?=__("Image title", $this->plugin_name);?>" value="<?= esc_attr( stripslashes($images_titles[$key]));?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image alt", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?=__("Image alt", $this->plugin_name);?>" value="<?=esc_attr( stripslashes( $images_alts[$key] ));?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image description", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the description of the chosen image", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?=__("Image description", $this->plugin_name);?>" value="<?= esc_attr( stripslashes( $images_descriptions[$key] ));?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("URL", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This section is for the URL address", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?=__("URL", $this->plugin_name);?>" value="<?=$images_urls[$key];?>"/>
					                                </div>
					                                <input type="hidden" name="ays-image-date[]" class="ays_img_date" value="<?=$images_dates[$key];?>" />
					                            </div>
					                        </li>
					                        <?php
    }
            ?>
					                </ul>
					                    <?php

        }
    } else {
        ?>
					                <ul class="ays-accordion">
					                <?php
    foreach ($images as $key => $image) {
            ?>
					                        <li>
					                            <i class="fas fa-trash-alt ays-delete-image"></i>
					                            <i class="fas fa-arrows-alt ays-move-images"></i>
					                            <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
					                            <div class="ays_image_thumb" style="display: block;">
					                                <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                                                    <?php if($image != ""):?>
					                                    <img class="ays_ays_img" style="background-image:none;" src="<?=$image;?>">
                                                    <?php else:?>
                                                        <img class="ays_ays_img" >    
                                                    <?php endif;?>
					                            </div>
					                            <input type="hidden" name="ays-image-path[]" value="<?=$image;?>">
					                            <div class="ays-image-attributes">
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image title", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("It shows the name of the inserted picture", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?=__("Image title", $this->plugin_name);?>" value="<?= esc_attr( stripslashes($images_titles[$key])) ;?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image alt", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?=__("Image alt", $this->plugin_name);?>" value="<?= esc_attr( stripslashes( $images_alts[$key] ));?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("Image description", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the description of the chosen image", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?=__("Image description", $this->plugin_name);?>" value="<?= esc_attr( stripslashes( $images_descriptions[$key] ));?>"/>
					                                </div>
					                                <div class="ays_image_attr_item">
					                                    <label>
					                                        <?=__("URL", $this->plugin_name);?>
					                                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This section is for the URL address", $this->plugin_name);?>">
					                                           <i class="fas fa-info-circle"></i>
					                                        </a>
					                                    </label>
					                                    <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?=__("URL", $this->plugin_name);?>" value="<?=$images_urls[$key];?>"/>
					                                </div>
					                                <input type="hidden" name="ays-image-date[]" class="ays_img_date" value="<?=$images_dates[$key];?>" />
					                            </div>
					                        </li>
					                        <?php
    }
    }
endif;
?>
            </ul>
            </div>
            <div class="ays_admin_pages">
                <ul>
                    <?php
if ($admin_pagination != "all") {
    if ($pages > 0) {
        for ($page = 0; $page < $pages; $page++) {
            if ($page == 0) {
                $page_active = "ays_page_active";
            } else {
                $page_active = "";
            }
            echo "<li><a class='ays_page $page_active' href='#page_" . ($page) . "'>" . ($page + 1) . "</a></li>";
        }
    }
}
?>
                </ul>
            </div>
		</div>
		<div id="tab2" class="ays-slider-tab-content <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Settings' ? 'ays-slider-tab-content-active' : '';?>">
            <p class="ays-subtitle"><?=__('Create your slider', $this->plugin_name);?></p>
            <h6><?=__('General options', $this->plugin_name);?></h6>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_images_ordering"><?=__("Images order by", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The sequence of images in the slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select name="ays_images_ordering" class="ays-text-input ays-text-input-short" id="ays_images_ordering">
                        <option <?=("noordering" == $sld_options['images_orderby']) ? "selected" : "";?> value="noordering"><?=__("No ordering", $this->plugin_name);?></option>
                        <option <?=("title" == $sld_options['images_orderby']) ? "selected" : "";?> value="title"><?=__("Title", $this->plugin_name);?></option>
                        <option <?=("date" == $sld_options['images_orderby']) ? "selected" : "";?> value="date"><?=__("Date", $this->plugin_name);?></option>
                        <option <?=("random" == $sld_options['images_orderby']) ? "selected" : "";?> value="random"><?=__("Random", $this->plugin_name);?></option>
                    </select>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label><?=__("Images loading", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The images are loaded according to two principles: already loaded gallery with images and at first opens gallery after then the images", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <div>
                        <label class="ays_sld_image_hover_icon"><?=__("Global loading ", $this->plugin_name);?>
                            <input type="radio" class="" name="ays_images_loading" <?="current_loaded" != $sld_options['images_loading'] ? "checked" : "";?> value="all_loaded"/>
                        </label>
                        <label class="ays_sld_image_hover_icon"><?=__("Lazy loading ", $this->plugin_name);?>
                            <input type="radio" class="" name="ays_images_loading" <?="current_loaded" == $sld_options['images_loading'] ? "checked" : "";?> value="current_loaded"/>
                        </label>
                    </div>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="asp_show_title"><?=__("Show title", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("Show the images’ titles above the images", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id="asp_show_title" type="checkbox" <?=(1 == $sld_options['show_title']) ? "checked" : "";?> name="ays_sld_show_title">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="asp_pause_hover"><?=__("Pause on hover", $this->plugin_name);?>
                       <a class="ays_help" data-toggle="tooltip" title="<?=__("Stop the animation when mouse on the slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id="asp_pause_hover" type="checkbox" <?=(1 == $sld_options['pause_hover']) ? "checked" : "";?> name="ays_sld_pause_hover">
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="slider_width"><?=__("Slider Width", $this->plugin_name);?> (px)
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the width of the Slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="number" id="slider_width" class="ays-text-input ays-text-input-short" name="slider_width" placeholder="<?=__("Slider Width", $this->plugin_name);?>" value="<?=$slider["width"] == 0 ? '' : $slider["width"];?>"/>
                    <span class="ays_slider_image_hover_icon_text"><?=__("For 100% leave blank", $this->plugin_name);?></span>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="slider_height"><?=__("Slider Height", $this->plugin_name);?> (px)
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field shows the height of the Slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="number" id="slider_height" class="ays-text-input ays-text-input-short" name="slider_height" placeholder="<?=__("Slider Height", $this->plugin_name);?>" value="<?=$slider["height"];?>"/>
                    <span class="ays_slider_image_hover_icon_text"><?=__("For default(600px) leave blank", $this->plugin_name);?></span>
                </div>
            </div>            
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_images_object_fit">                        
                        <?=__("Image Fiting in Slider", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This property is used to specify how an image should be resized to fit its container", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select name="ays_images_object_fit" id="ays_images_object_fit">
                        <option <?=("contain" == $sld_options['image_object_fit']) ? "selected" : "";?> value="contain"><?=__("Contain", $this->plugin_name);?></option>
                        <option <?=("cover" == $sld_options['image_object_fit']) ? "selected" : "";?> value="cover"><?=__("Cover", $this->plugin_name);?></option>
                        <option <?=("none" == $sld_options['image_object_fit']) ? "selected" : "";?> value="none"><?=__("None", $this->plugin_name);?></option>
                    </select>
                </div>
            </div>
            <hr />
                <div class="form-group row only_pro">
                <div class="pro_features">
                    <div>
                        <p>
                            <?php echo __("This feature is available only in ", $this->plugin_name); ?>
                            <a href="https://ays-pro.com/wordpress/image-slider" target="_blank" title="PRO feature"><?php echo __("PRO version!!!", $this->plugin_name); ?></a>
                        </p>
                    </div>
                </div>
                    <div class="col-sm-3">
                        <label for="enable_active_date">
                            <?php echo __('Schedule the Slider', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __('The period of time when the slider will be active.', $this->plugin_name) ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9 ays_toggle_parent">
                        <div class="row">
                            <div class="col-sm-3">
                                <input id="enable_active_date" type="checkbox" class="enable_active_date ays_toggle_checkbox" name="">
                            </div>
                            <div class="col-sm-9 ays_toggle_target ays_divider_left active_date ">
                                <!-- --Vahe Start--- -->
                                <!-- -1- -->
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <label class="form-check-label" for="ays-active"> <?php echo __('Start date:', $this->plugin_name); ?> </label>
                                        </div>
                                        <div class="col-sm-9">
                                            <div class="input-group mb-3">
                                                <input type="text" class="ays-text-input ays-text-input-short ays_actDect ays_slider_act_dect" id="ays-active" name="" >
                                                <div class="input-group-append">
                                                    <label for="ays-active" class="input-group-text">
                                                        <span><i class="fas fa-calendar"></i></span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- -2- -->
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <label class="form-check-label" for="ays-deactive"> <?php echo __('End date:', $this->plugin_name); ?> </label>
                                        </div>
                                        <div class="col-sm-9">
                                            <div class="input-group mb-3">
                                                <input type="text" class="ays-text-input ays-text-input-short ays_actDect ays_slider_act_dect" id="ays-deactive" name="" >
                                                <div class="input-group-append">
                                                    <label for="ays-deactive" class="input-group-text">
                                                        <span><i class="fas fa-calendar"></i></span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- --Vahe End--- -->
                            </div>
                        </div>
                    </div>
                </div>            
		</div>
        <div id="tab3" class="ays-slider-tab-content <?=isset($sld_options['active_tab']) && $sld_options['active_tab'] == 'Styles' ? 'ays-slider-tab-content-active' : '';?>">
            <p class="ays-subtitle"><?=__('Choose your slider style', $this->plugin_name);?></p>
            <h6><?=__('Style options', $this->plugin_name);?></h6>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays-sld-animation-in"><?=__("In animation effect", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The image appearing animation", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select id="ays-sld-animation-in" name="ays_sld_animation_in">
                        <optgroup label="Attention Seekers">
                          <option <?=$sld_options['animation_in'] == 'bounce' ? 'selected' : '';?> value="bounce">bounce</option>
                          <option <?=$sld_options['animation_in'] == 'flash' ? 'selected' : '';?> value="flash">flash</option>
                          <option <?=$sld_options['animation_in'] == 'pulse' ? 'selected' : '';?> value="pulse">pulse</option>
                          <option <?=$sld_options['animation_in'] == 'rubberBand' ? 'selected' : '';?> value="rubberBand">rubberBand</option>
                          <option <?=$sld_options['animation_in'] == 'shake' ? 'selected' : '';?> value="shake">shake</option>
                          <option <?=$sld_options['animation_in'] == 'swing' ? 'selected' : '';?> value="swing">swing</option>
                          <option <?=$sld_options['animation_in'] == 'tada' ? 'selected' : '';?> value="tada">tada</option>
                          <option <?=$sld_options['animation_in'] == 'wobble' ? 'selected' : '';?> value="wobble">wobble</option>
                          <option <?=$sld_options['animation_in'] == 'jello' ? 'selected' : '';?> value="jello">jello</option>
                        </optgroup>

                        <optgroup label="Bouncing Entrances">
                          <option <?=$sld_options['animation_in'] == 'bounceIn' ? 'selected' : '';?> value="bounceIn">bounceIn</option>
                          <option <?=$sld_options['animation_in'] == 'bounceInDown' ? 'selected' : '';?> value="bounceInDown">bounceInDown</option>
                          <option <?=$sld_options['animation_in'] == 'bounceInLeft' ? 'selected' : '';?> value="bounceInLeft">bounceInLeft</option>
                          <option <?=$sld_options['animation_in'] == 'bounceInRight' ? 'selected' : '';?> value="bounceInRight">bounceInRight</option>
                          <option <?=$sld_options['animation_in'] == 'bounceInUp' ? 'selected' : '';?> value="bounceInUp">bounceInUp</option>
                        </optgroup>

                        <optgroup label="Bouncing Exits">
                          <option <?=$sld_options['animation_in'] == 'bounceOut' ? 'selected' : '';?> value="bounceOut">bounceOut</option>
                          <option <?=$sld_options['animation_in'] == 'bounceOutDown' ? 'selected' : '';?> value="bounceOutDown">bounceOutDown</option>
                          <option <?=$sld_options['animation_in'] == 'bounceOutLeft' ? 'selected' : '';?> value="bounceOutLeft">bounceOutLeft</option>
                          <option <?=$sld_options['animation_in'] == 'bounceOutRight' ? 'selected' : '';?> value="bounceOutRight">bounceOutRight</option>
                          <option <?=$sld_options['animation_in'] == 'bounceOutUp' ? 'selected' : '';?> value="bounceOutUp">bounceOutUp</option>
                        </optgroup>

                        <optgroup label="Fading Entrances">
                          <option <?=$sld_options['animation_in'] == 'fadeIn' ? 'selected' : '';?> value="fadeIn">fadeIn</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInDown' ? 'selected' : '';?> value="fadeInDown">fadeInDown</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInDownBig' ? 'selected' : '';?> value="fadeInDownBig">fadeInDownBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInLeft' ? 'selected' : '';?> value="fadeInLeft">fadeInLeft</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInLeftBig' ? 'selected' : '';?> value="fadeInLeftBig">fadeInLeftBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInRight' ? 'selected' : '';?> value="fadeInRight">fadeInRight</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInRightBig' ? 'selected' : '';?> value="fadeInRightBig">fadeInRightBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInUp' ? 'selected' : '';?> value="fadeInUp">fadeInUp</option>
                          <option <?=$sld_options['animation_in'] == 'fadeInUpBig' ? 'selected' : '';?> value="fadeInUpBig">fadeInUpBig</option>
                        </optgroup>

                        <optgroup label="Fading Exits">
                          <option <?=$sld_options['animation_in'] == 'fadeOut' ? 'selected' : '';?> value="fadeOut">fadeOut</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutDown' ? 'selected' : '';?> value="fadeOutDown">fadeOutDown</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutDownBig' ? 'selected' : '';?> value="fadeOutDownBig">fadeOutDownBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutLeft' ? 'selected' : '';?> value="fadeOutLeft">fadeOutLeft</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutLeftBig' ? 'selected' : '';?> value="fadeOutLeftBig">fadeOutLeftBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutRight' ? 'selected' : '';?> value="fadeOutRight">fadeOutRight</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutRightBig' ? 'selected' : '';?> value="fadeOutRightBig">fadeOutRightBig</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutUp' ? 'selected' : '';?> value="fadeOutUp">fadeOutUp</option>
                          <option <?=$sld_options['animation_in'] == 'fadeOutUpBig' ? 'selected' : '';?> value="fadeOutUpBig">fadeOutUpBig</option>
                        </optgroup>

                        <optgroup label="Flippers">
                          <option <?=$sld_options['animation_in'] == 'flip' ? 'selected' : '';?> value="flip">flip</option>
                          <option <?=$sld_options['animation_in'] == 'flipInX' ? 'selected' : '';?> value="flipInX">flipInX</option>
                          <option <?=$sld_options['animation_in'] == 'flipInY' ? 'selected' : '';?> value="flipInY">flipInY</option>
                          <option <?=$sld_options['animation_in'] == 'flipOutX' ? 'selected' : '';?> value="flipOutX">flipOutX</option>
                          <option <?=$sld_options['animation_in'] == 'flipOutY' ? 'selected' : '';?> value="flipOutY">flipOutY</option>
                        </optgroup>

                        <optgroup label="Lightspeed">
                          <option <?=$sld_options['animation_in'] == 'lightSpeedIn' ? 'selected' : '';?> value="lightSpeedIn">lightSpeedIn</option>
                          <option <?=$sld_options['animation_in'] == 'lightSpeedOut' ? 'selected' : '';?> value="lightSpeedOut">lightSpeedOut</option>
                        </optgroup>

                        <optgroup label="Rotating Entrances">
                          <option <?=$sld_options['animation_in'] == 'rotateIn' ? 'selected' : '';?> value="rotateIn">rotateIn</option>
                          <option <?=$sld_options['animation_in'] == 'rotateInDownLeft' ? 'selected' : '';?> value="rotateInDownLeft">rotateInDownLeft</option>
                          <option <?=$sld_options['animation_in'] == 'rotateInDownRight' ? 'selected' : '';?> value="rotateInDownRight">rotateInDownRight</option>
                          <option <?=$sld_options['animation_in'] == 'rotateInUpLeft' ? 'selected' : '';?> value="rotateInUpLeft">rotateInUpLeft</option>
                          <option <?=$sld_options['animation_in'] == 'rotateInUpRight' ? 'selected' : '';?> value="rotateInUpRight">rotateInUpRight</option>
                        </optgroup>

                        <optgroup label="Rotating Exits">
                          <option <?=$sld_options['animation_in'] == 'rotateOut' ? 'selected' : '';?> value="rotateOut">rotateOut</option>
                          <option <?=$sld_options['animation_in'] == 'rotateOutDownLeft' ? 'selected' : '';?> value="rotateOutDownLeft">rotateOutDownLeft</option>
                          <option <?=$sld_options['animation_in'] == 'rotateOutDownRight' ? 'selected' : '';?> value="rotateOutDownRight">rotateOutDownRight</option>
                          <option <?=$sld_options['animation_in'] == 'rotateOutUpLeft' ? 'selected' : '';?> value="rotateOutUpLeft">rotateOutUpLeft</option>
                          <option <?=$sld_options['animation_in'] == 'rotateOutUpRight' ? 'selected' : '';?> value="rotateOutUpRight">rotateOutUpRight</option>
                        </optgroup>

                        <optgroup label="Sliding Entrances">
                          <option <?=$sld_options['animation_in'] == 'slideInUp' ? 'selected' : '';?> value="slideInUp">slideInUp</option>
                          <option <?=$sld_options['animation_in'] == 'slideInDown' ? 'selected' : '';?> value="slideInDown">slideInDown</option>
                          <option <?=$sld_options['animation_in'] == 'slideInLeft' ? 'selected' : '';?> value="slideInLeft">slideInLeft</option>
                          <option <?=$sld_options['animation_in'] == 'slideInRight' ? 'selected' : '';?> value="slideInRight">slideInRight</option>

                        </optgroup>
                        <optgroup label="Sliding Exits">
                          <option <?=$sld_options['animation_in'] == 'slideOutUp' ? 'selected' : '';?> value="slideOutUp">slideOutUp</option>
                          <option <?=$sld_options['animation_in'] == 'slideOutDown' ? 'selected' : '';?> value="slideOutDown">slideOutDown</option>
                          <option <?=$sld_options['animation_in'] == 'slideOutLeft' ? 'selected' : '';?> value="slideOutLeft">slideOutLeft</option>
                          <option <?=$sld_options['animation_in'] == 'slideOutRight' ? 'selected' : '';?> value="slideOutRight">slideOutRight</option>

                        </optgroup>

                        <optgroup label="Zoom Entrances">
                          <option <?=$sld_options['animation_in'] == 'zoomIn' ? 'selected' : '';?> value="zoomIn">zoomIn</option>
                          <option <?=$sld_options['animation_in'] == 'zoomInDown' ? 'selected' : '';?> value="zoomInDown">zoomInDown</option>
                          <option <?=$sld_options['animation_in'] == 'zoomInLeft' ? 'selected' : '';?> value="zoomInLeft">zoomInLeft</option>
                          <option <?=$sld_options['animation_in'] == 'zoomInRight' ? 'selected' : '';?> value="zoomInRight">zoomInRight</option>
                          <option <?=$sld_options['animation_in'] == 'zoomInUp' ? 'selected' : '';?> value="zoomInUp">zoomInUp</option>
                        </optgroup>

                        <optgroup label="Zoom Exits">
                          <option <?=$sld_options['animation_in'] == 'zoomOut' ? 'selected' : '';?> value="zoomOut">zoomOut</option>
                          <option <?=$sld_options['animation_in'] == 'zoomOutDown' ? 'selected' : '';?> value="zoomOutDown">zoomOutDown</option>
                          <option <?=$sld_options['animation_in'] == 'zoomOutLeft' ? 'selected' : '';?> value="zoomOutLeft">zoomOutLeft</option>
                          <option <?=$sld_options['animation_in'] == 'zoomOutRight' ? 'selected' : '';?> value="zoomOutRight">zoomOutRight</option>
                          <option <?=$sld_options['animation_in'] == 'zoomOutUp' ? 'selected' : '';?> value="zoomOutUp">zoomOutUp</option>
                        </optgroup>

                        <optgroup label="Specials">
                          <option <?=$sld_options['animation_in'] == 'hinge' ? 'selected' : '';?> value="hinge">hinge</option>
                          <option <?=$sld_options['animation_in'] == 'jackInTheBox' ? 'selected' : '';?> value="jackInTheBox">jackInTheBox</option>
                          <option <?=$sld_options['animation_in'] == 'rollIn' ? 'selected' : '';?> value="rollIn">rollIn</option>
                          <option <?=$sld_options['animation_in'] == 'rollOut' ? 'selected' : '';?> value="rollOut">rollOut</option>
                        </optgroup>
                    </select>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays-sld-animation-out"><?=__("Out animation effect", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The image disappearing animation", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select id="ays-sld-animation-out" name="ays_sld_animation_out">
                        <optgroup label="Attention Seekers">
                          <option <?=$sld_options['animation_out'] == 'bounce' ? 'selected' : '';?> value="bounce">bounce</option>
                          <option <?=$sld_options['animation_out'] == 'flash' ? 'selected' : '';?> value="flash">flash</option>
                          <option <?=$sld_options['animation_out'] == 'pulse' ? 'selected' : '';?> value="pulse">pulse</option>
                          <option <?=$sld_options['animation_out'] == 'rubberBand' ? 'selected' : '';?> value="rubberBand">rubberBand</option>
                          <option <?=$sld_options['animation_out'] == 'shake' ? 'selected' : '';?> value="shake">shake</option>
                          <option <?=$sld_options['animation_out'] == 'swing' ? 'selected' : '';?> value="swing">swing</option>
                          <option <?=$sld_options['animation_out'] == 'tada' ? 'selected' : '';?> value="tada">tada</option>
                          <option <?=$sld_options['animation_out'] == 'wobble' ? 'selected' : '';?> value="wobble">wobble</option>
                          <option <?=$sld_options['animation_out'] == 'jello' ? 'selected' : '';?> value="jello">jello</option>
                        </optgroup>

                        <optgroup label="Bouncing Entrances">
                          <option <?=$sld_options['animation_out'] == 'bounceIn' ? 'selected' : '';?> value="bounceIn">bounceIn</option>
                          <option <?=$sld_options['animation_out'] == 'bounceInDown' ? 'selected' : '';?> value="bounceInDown">bounceInDown</option>
                          <option <?=$sld_options['animation_out'] == 'bounceInLeft' ? 'selected' : '';?> value="bounceInLeft">bounceInLeft</option>
                          <option <?=$sld_options['animation_out'] == 'bounceInRight' ? 'selected' : '';?> value="bounceInRight">bounceInRight</option>
                          <option <?=$sld_options['animation_out'] == 'bounceInUp' ? 'selected' : '';?> value="bounceInUp">bounceInUp</option>
                        </optgroup>

                        <optgroup label="Bouncing Exits">
                          <option <?=$sld_options['animation_out'] == 'bounceOut' ? 'selected' : '';?> value="bounceOut">bounceOut</option>
                          <option <?=$sld_options['animation_out'] == 'bounceOutDown' ? 'selected' : '';?> value="bounceOutDown">bounceOutDown</option>
                          <option <?=$sld_options['animation_out'] == 'bounceOutLeft' ? 'selected' : '';?> value="bounceOutLeft">bounceOutLeft</option>
                          <option <?=$sld_options['animation_out'] == 'bounceOutRight' ? 'selected' : '';?> value="bounceOutRight">bounceOutRight</option>
                          <option <?=$sld_options['animation_out'] == 'bounceOutUp' ? 'selected' : '';?> value="bounceOutUp">bounceOutUp</option>
                        </optgroup>

                        <optgroup label="Fading Entrances">
                          <option <?=$sld_options['animation_out'] == 'fadeIn' ? 'selected' : '';?> value="fadeIn">fadeIn</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInDown' ? 'selected' : '';?> value="fadeInDown">fadeInDown</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInDownBig' ? 'selected' : '';?> value="fadeInDownBig">fadeInDownBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInLeft' ? 'selected' : '';?> value="fadeInLeft">fadeInLeft</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInLeftBig' ? 'selected' : '';?> value="fadeInLeftBig">fadeInLeftBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInRight' ? 'selected' : '';?> value="fadeInRight">fadeInRight</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInRightBig' ? 'selected' : '';?> value="fadeInRightBig">fadeInRightBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInUp' ? 'selected' : '';?> value="fadeInUp">fadeInUp</option>
                          <option <?=$sld_options['animation_out'] == 'fadeInUpBig' ? 'selected' : '';?> value="fadeInUpBig">fadeInUpBig</option>
                        </optgroup>

                        <optgroup label="Fading Exits">
                          <option <?=$sld_options['animation_out'] == 'fadeOut' ? 'selected' : '';?> value="fadeOut">fadeOut</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutDown' ? 'selected' : '';?> value="fadeOutDown">fadeOutDown</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutDownBig' ? 'selected' : '';?> value="fadeOutDownBig">fadeOutDownBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutLeft' ? 'selected' : '';?> value="fadeOutLeft">fadeOutLeft</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutLeftBig' ? 'selected' : '';?> value="fadeOutLeftBig">fadeOutLeftBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutRight' ? 'selected' : '';?> value="fadeOutRight">fadeOutRight</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutRightBig' ? 'selected' : '';?> value="fadeOutRightBig">fadeOutRightBig</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutUp' ? 'selected' : '';?> value="fadeOutUp">fadeOutUp</option>
                          <option <?=$sld_options['animation_out'] == 'fadeOutUpBig' ? 'selected' : '';?> value="fadeOutUpBig">fadeOutUpBig</option>
                        </optgroup>

                        <optgroup label="Flippers">
                          <option <?=$sld_options['animation_out'] == 'flip' ? 'selected' : '';?> value="flip">flip</option>
                          <option <?=$sld_options['animation_out'] == 'flipInX' ? 'selected' : '';?> value="flipInX">flipInX</option>
                          <option <?=$sld_options['animation_out'] == 'flipInY' ? 'selected' : '';?> value="flipInY">flipInY</option>
                          <option <?=$sld_options['animation_out'] == 'flipOutX' ? 'selected' : '';?> value="flipOutX">flipOutX</option>
                          <option <?=$sld_options['animation_out'] == 'flipOutY' ? 'selected' : '';?> value="flipOutY">flipOutY</option>
                        </optgroup>

                        <optgroup label="Lightspeed">
                          <option <?=$sld_options['animation_out'] == 'lightSpeedIn' ? 'selected' : '';?> value="lightSpeedIn">lightSpeedIn</option>
                          <option <?=$sld_options['animation_out'] == 'lightSpeedOut' ? 'selected' : '';?> value="lightSpeedOut">lightSpeedOut</option>
                        </optgroup>

                        <optgroup label="Rotating Entrances">
                          <option <?=$sld_options['animation_out'] == 'rotateIn' ? 'selected' : '';?> value="rotateIn">rotateIn</option>
                          <option <?=$sld_options['animation_out'] == 'rotateInDownLeft' ? 'selected' : '';?> value="rotateInDownLeft">rotateInDownLeft</option>
                          <option <?=$sld_options['animation_out'] == 'rotateInDownRight' ? 'selected' : '';?> value="rotateInDownRight">rotateInDownRight</option>
                          <option <?=$sld_options['animation_out'] == 'rotateInUpLeft' ? 'selected' : '';?> value="rotateInUpLeft">rotateInUpLeft</option>
                          <option <?=$sld_options['animation_out'] == 'rotateInUpRight' ? 'selected' : '';?> value="rotateInUpRight">rotateInUpRight</option>
                        </optgroup>

                        <optgroup label="Rotating Exits">
                          <option <?=$sld_options['animation_out'] == 'rotateOut' ? 'selected' : '';?> value="rotateOut">rotateOut</option>
                          <option <?=$sld_options['animation_out'] == 'rotateOutDownLeft' ? 'selected' : '';?> value="rotateOutDownLeft">rotateOutDownLeft</option>
                          <option <?=$sld_options['animation_out'] == 'rotateOutDownRight' ? 'selected' : '';?> value="rotateOutDownRight">rotateOutDownRight</option>
                          <option <?=$sld_options['animation_out'] == 'rotateOutUpLeft' ? 'selected' : '';?> value="rotateOutUpLeft">rotateOutUpLeft</option>
                          <option <?=$sld_options['animation_out'] == 'rotateOutUpRight' ? 'selected' : '';?> value="rotateOutUpRight">rotateOutUpRight</option>
                        </optgroup>

                        <optgroup label="Sliding Entrances">
                          <option <?=$sld_options['animation_out'] == 'slideInUp' ? 'selected' : '';?> value="slideInUp">slideInUp</option>
                          <option <?=$sld_options['animation_out'] == 'slideInDown' ? 'selected' : '';?> value="slideInDown">slideInDown</option>
                          <option <?=$sld_options['animation_out'] == 'slideInLeft' ? 'selected' : '';?> value="slideInLeft">slideInLeft</option>
                          <option <?=$sld_options['animation_out'] == 'slideInRight' ? 'selected' : '';?> value="slideInRight">slideInRight</option>

                        </optgroup>
                        <optgroup label="Sliding Exits">
                          <option <?=$sld_options['animation_out'] == 'slideOutUp' ? 'selected' : '';?> value="slideOutUp">slideOutUp</option>
                          <option <?=$sld_options['animation_out'] == 'slideOutDown' ? 'selected' : '';?> value="slideOutDown">slideOutDown</option>
                          <option <?=$sld_options['animation_out'] == 'slideOutLeft' ? 'selected' : '';?> value="slideOutLeft">slideOutLeft</option>
                          <option <?=$sld_options['animation_out'] == 'slideOutRight' ? 'selected' : '';?> value="slideOutRight">slideOutRight</option>

                        </optgroup>

                        <optgroup label="Zoom Entrances">
                          <option <?=$sld_options['animation_out'] == 'zoomIn' ? 'selected' : '';?> value="zoomIn">zoomIn</option>
                          <option <?=$sld_options['animation_out'] == 'zoomInDown' ? 'selected' : '';?> value="zoomInDown">zoomInDown</option>
                          <option <?=$sld_options['animation_out'] == 'zoomInLeft' ? 'selected' : '';?> value="zoomInLeft">zoomInLeft</option>
                          <option <?=$sld_options['animation_out'] == 'zoomInRight' ? 'selected' : '';?> value="zoomInRight">zoomInRight</option>
                          <option <?=$sld_options['animation_out'] == 'zoomInUp' ? 'selected' : '';?> value="zoomInUp">zoomInUp</option>
                        </optgroup>

                        <optgroup label="Zoom Exits">
                          <option <?=$sld_options['animation_out'] == 'zoomOut' ? 'selected' : '';?> value="zoomOut">zoomOut</option>
                          <option <?=$sld_options['animation_out'] == 'zoomOutDown' ? 'selected' : '';?> value="zoomOutDown">zoomOutDown</option>
                          <option <?=$sld_options['animation_out'] == 'zoomOutLeft' ? 'selected' : '';?> value="zoomOutLeft">zoomOutLeft</option>
                          <option <?=$sld_options['animation_out'] == 'zoomOutRight' ? 'selected' : '';?> value="zoomOutRight">zoomOutRight</option>
                          <option <?=$sld_options['animation_out'] == 'zoomOutUp' ? 'selected' : '';?> value="zoomOutUp">zoomOutUp</option>
                        </optgroup>

                        <optgroup label="Specials">
                          <option <?=$sld_options['animation_out'] == 'hinge' ? 'selected' : '';?> value="hinge">hinge</option>
                          <option <?=$sld_options['animation_out'] == 'jackInTheBox' ? 'selected' : '';?> value="jackInTheBox">jackInTheBox</option>
                          <option <?=$sld_options['animation_out'] == 'rollIn' ? 'selected' : '';?> value="rollIn">rollIn</option>
                          <option <?=$sld_options['animation_out'] == 'rollOut' ? 'selected' : '';?> value="rollOut">rollOut</option>
                        </optgroup>
                    </select>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for='ays-sld-animation-speed'><?=__("Animation speed", $this->plugin_name);?></label>
                </div>
                <div class="col-sm-9">
                    <input id='ays-sld-animation-speed' name="ays_sld_animation_speed" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['animation_speed']) ? ($sld_options['animation_speed']) : '400';?>">
                    <span class="ays_slider_image_hover_icon_text"><?=__("The lower the value, the faster the animation.", $this->plugin_name);?></span>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_sld_nav_arrows"><?=__("Navigation arrows", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The presence of arrows of next and previous", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id="ays_sld_nav_arrows" type="checkbox" <?=(1 == $sld_options['nav_arrows']) ? "checked" : "";?> name="ays_sld_nav_arrows">
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_sld_nav_type"><?=__("Navigation Type", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The outlook of navigation in the bottom", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select name="ays_sld_nav_type" id="ays_sld_nav_type">
                        <option value="none" <?=(isset($sld_options['nav_type']) && 'none' == $sld_options['nav_type']) ? "selected" : "";?>><?=__("None", $this->plugin_name);?></option>
                        <option value="dots" <?=(isset($sld_options['nav_type']) && 'dots' == $sld_options['nav_type']) ? "selected" : "";?>>Dots</option>
                        <option value="thumb" <?=(isset($sld_options['nav_type']) && 'thumb' == $sld_options['nav_type']) ? "selected" : "";?>>Thumbs</option>
                    </select>
                </div>
            </div>
            <hr>
                <div class="form-group row asp-dots-options only_pro">
                    <div class="pro_features">
                        <div>
                            <p>
                                <?php echo __("This feature is available only in ", $this->plugin_name); ?>
                                <a href="https://ays-pro.com/wordpress/image-slider" target="_blank" title="PRO feature"><?php echo __("PRO version!!!", $this->plugin_name); ?></a>
                            </p>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label for="ays_sld_dots_position"><?= __("Dots Position", $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" title="<?= __("", $this->plugin_name); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-4">
                        <select name="" id="ays_sld_dots_position">
                            <option value="bottom">Bottom</option>
                        </select>
                    </div>
                    <div class="col-sm-5">
                        <select name="" id="ays_sld_dots_position">
                            <option value="inside">Inside</option>
                        </select>
                    </div>
                </div>
            <hr class="asp-thumbs-options">
            <div class="form-group row asp-thumbs-options">
                <div class="col-sm-3">
                    <label for='ays-sld-thumb-w'><?=__("Thumnails width (px)", $this->plugin_name);?></label>
                </div>
                <div class="col-sm-9">
                    <input id='ays-sld-thumb-w' name="ays-sld-thumb-w" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['thumb_w']) ? ($sld_options['thumb_w']) : '50';?>">
                </div>
            </div>
            <hr class="asp-thumbs-options">
            <div class="form-group row asp-thumbs-options">
                <div class="col-sm-3">
                    <label for='ays-sld-thumb-h'><?=__("Thumnails height (px)", $this->plugin_name);?></label>
                </div>
                <div class="col-sm-9">
                    <input id='ays-sld-thumb-h' name="ays-sld-thumb-h" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['thumb_h']) ? ($sld_options['thumb_h']) : '50';?>">
                </div>
            </div>
            <hr class="asp-thumbs-options">
            <div class="form-group row asp-thumbs-options">
                <div class="col-sm-3">
                    <label for='ays-sld-thumb-c'><?=__("Thumnails count", $this->plugin_name);?>
                    <a class="ays_help" data-toggle="tooltip" title="<?=__("Seen quantity of the thumbnails on the slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id='ays-sld-thumb-c' name="ays-sld-thumb-c" class="ays-text-input ays-text-input-short" type="number" value="<?=isset($sld_options['thumb_c']) && !empty($sld_options['thumb_c']) ? ($sld_options['thumb_c']) : '3';?>">
                    <span class="ays_slider_image_hover_icon_text"><?=__("The maximum value is:", $this->plugin_name);?> <span id='ays-sld-thumb-c-limit'></span></span>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for='ays-sld-timeout'><?=__("Sliding duration (ms)", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The time of the display of each image in miliseconds", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id='ays-sld-timeout' name="ays-sld-timeout" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['timeout']) ? ($sld_options['timeout']) : '1';?>">
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label><?=__("Slider images distance (px)", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The distance between images", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input name="ays-sld-images-distance" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['margin']) ? ($sld_options['margin']) : '0';?>">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label><?=__("Slider border radius (px)", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The roundness of corners of slider", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input name="ays-sld-border-radius" class="ays-text-input ays-text-input-short" type="number" value="<?=!empty($sld_options['border_radius']) ? ($sld_options['border_radius']) : '0';?>">
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label><?=__("Slider images filter", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("The filter that is applied to the images in the slider.", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select name="ays_slider_image_filter" id="ays_slider_image_filter">
                        <option value="none" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'none') ? 'selected' : '';?>>None</option>
                        <option value="blur" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'blur') ? 'selected' : '';?>>Blur</option>
                        <option value="brightness" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'brightness') ? 'selected' : '';?>>Brightness</option>
                        <option value="contrast" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'contrast') ? 'selected' : '';?>>Contrast</option>
                        <option value="grayscale" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'grayscale') ? 'selected' : '';?>>Grayscale</option>
                        <option value="hue-rotate" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'hue-rotate') ? 'selected' : '';?>>Hue-rotate</option>
                        <option value="invert" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'invert') ? 'selected' : '';?>>Invert</option>
                        <option value="opacity" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'opacity') ? 'selected' : '';?>>Opacity</option>
                        <option value="saturate" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'saturate') ? 'selected' : '';?>>Saturate</option>
                        <option value="sepia" <?=(isset($sld_options['filter']) && $sld_options['filter'] == 'sepia') ? 'selected' : '';?>>Sepia</option>
                    </select>
                </div>
            </div>
            <div class="form-group row if-filter">
                <div class="col-sm-3">
                    <img id="ays-filter-example-image" src="<?=AYS_SLD_ADMIN_URL . 'images/example.jpg';?>">
                </div>
                <div class="col-sm-9" style="padding-top: 2.5%;">
                    <div id='ays-range-value'>
                        <span></span>
                    </div>
                    <div id="ays-range-box">
                        <span id="ays-range-min"></span>
                        <span id="ays_slider_image_filter_range">
                            <input type="range" min="0" max="50" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'blur') ? $sld_options['filter_value'] : '0';?>" step="1" name="ays-filter-blur" id="blur">
                            <input type="range" min="0" max="10" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'brightness') ? $sld_options['filter_value'] : '1';?>" step="0.1" name="ays-filter-brightness"  id="brightness">
                            <input type="range" min="0" max="10" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'contrast') ? $sld_options['filter_value'] : '1';?>" step="0.1" name="ays-filter-contrast"  id="contrast">
                            <input type="range" min="0" max="1" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'grayscale') ? $sld_options['filter_value'] : '0';?>" step="0.1" name="ays-filter-grayscale" id="grayscale">
                            <input type="range" min="0" max="360" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'hue-rotate') ? $sld_options['filter_value'] : '0';?>" step="30" name="ays-filter-hue-rotate"  id="hue-rotate">
                            <input type="range" min="0" max="1" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'invert') ? $sld_options['filter_value'] : '0';?>" step="0.1" name="ays-filter-invert" id="invert">
                            <input type="range" min="0" max="1" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'opacity') ? $sld_options['filter_value'] : '1';?>" step="0.1" name="ays-filter-opacity" id="opacity">
                            <input type="range" min="0" max="10" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'saturate') ? $sld_options['filter_value'] : '1';?>" step="0.1" name="ays-filter-saturate"  id="saturate">
                            <input type="range" min="0" max="1" value="<?=(isset($sld_options['filter_value']) && isset($sld_options['filter']) && $sld_options['filter'] == 'sepia') ? $sld_options['filter_value'] : '0';?>" step="0.1" name="ays-filter-sepia" id="sepia">
                        </span>
                        <span id="ays-range-max"></span>
                    </div>
                </div>
            </div>
            <hr/>            
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="slider_bgcolor"><?=__("Slider Background Color", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field notes slider background color", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input type="text" id="slider_bgcolor"  data-alpha="true" class="ays_slider_color_input" name="slider_bgcolor" value="<?php echo esc_attr( stripslashes( $sld_options['slider_bgcolor'] ) ); ?>"  data-default-color="#FFFFFF"/>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_slider_title_color"><?=__("Slider Title Color", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?=__("This field notes slider title color", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-6">
                    <input type="text" id="ays_slider_title_color"  data-alpha="true" class="ays_slider_color_input" name="ays_slider_title_color" value="<?php echo esc_attr( stripslashes( $sld_options['slider_title_color'] ) ); ?>"  data-default-color="#FFFFFF"/>
                </div>
            </div>
            <hr/>
            <div>
                <div class="ays_arrowsIcon ays_modal_element form-group row only_pro">
                    <div class="pro_features">
                        <div>
                            <p>
                                <?php echo __("This feature is available only in ", $this->plugin_name); ?>
                                <a href="https://ays-pro.com/wordpress/image-slider" target="_blank" title="PRO feature"><?php echo __("PRO version!!!", $this->plugin_name); ?></a>
                            </p>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label class='ays_faq_label' for='ays-faq-openclose'><?php echo __('Arrow Type', $this->plugin_name); ?>
                            <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Accordion Arrow Icon", $this->plugin_name); ?>">
                                <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9 ">
                        <div class="arrowsIcon">
                            <input id="icons-1" type="radio" name="" value="f060,f061" >
                            <label for="icons-1">
                                <i class="fas fa-arrow-left"></i>
                                <i class="fas fa-arrow-right"></i>
                            </label>
                            
                        </div>
                        <div class="arrowsIcon">
                            <input id="icons-2" type="radio" name="" value="f0a8,f0a9">
                            <label for="icons-2">
                                <i class="fas fa-arrow-circle-left"></i>
                                <i class="fas fa-arrow-circle-right"></i>
                            </label>
                            
                        </div>
                        <div class="arrowsIcon">
                            <input id="icons-3" type="radio" name="" value="f053,f054" checked>
                            <label for="icons-3">
                                <i class="fas fa-chevron-left"></i>
                                <i class="fas fa-chevron-right"></i>
                            </label>
                            <i class="check fas fa-check"></i>
                        </div>
                        <div class="arrowsIcon">
                            <input id="icons-4" type="radio" name="" value="f100,f101">
                            <label for="icons-4">
                                <i class="fas fa-angle-double-left"></i>
                                <i class="fas fa-angle-double-right"></i>
                            </label>
                           
                        </div>
                        <div class="arrowsIcon">
                            <input id="icons-5" type="radio" name="" value="f30a,f30b">
                            <label for="icons-5">
                                <i class="fas fa-long-arrow-alt-left"></i>
                                <i class="fas fa-long-arrow-alt-right"></i>
                            </label>
                            
                        </div>
                    </div>
                </div>
            </div>
            <hr />            
            <hr class="if-filter">
               <div class="form-group row">
                    <div class="col-sm-3">
                        <label class='slider_custom_class' for="slider_custom_class"><?=__("Custom Class", $this->plugin_name);?>
                             <a class="ays_help" data-toggle="tooltip" title="<?=__("You can create your custom class", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                         <?php
                        if(isset($sld_options['custom_class'])){
                            $customClass = $sld_options['custom_class'];
                        }
                        else{
                            $customClass = "";
                        }
                    ?>
                    <div class="col-sm-9 ays_divider_left">
                        <div class="customClass">
                           <input  type="text" class="ays-input" name="slider_custom_class" id="slider_custom_class" placeholder="<?=__("Custom Class", $this->plugin_name);?>" value="<?php echo $customClass ?>">
                        </div>
                    </div>
                </div>
           
             <hr >

               <div class="form-group row">
                        <div class="col-sm-3">
                          <label for="slider_custom_css"><?=__("Custom CSS", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?=__("You can mark your desirable specific styles", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                            </label>
                        </div>
                        <div class="col-sm-9">
                        <textarea  name="slider_custom_css" rows="20" cols="50" id="slider_custom_css" ><?php echo (isset($slider['custom_css']) && $slider['custom_css'] != '') ? stripslashes ( esc_attr( $slider['custom_css'])) : '' ?></textarea>
                        </div>
                    </div> <!-- Custom CSS -->
                </div>
        </div>
        <?php
            wp_nonce_field('ays_slider_action', 'ays_slider_action');
        ?>
        <hr/>
        <!-- <div class="form-group row ays-slider-general-bundle-container">
            <div class="col-sm-12 ays-slider-general-bundle-box">
                 <div class="ays-slider-general-bundle-row ays-slider-general-bundle-image-row">
                    <a href="https://ays-pro.com/wordpress/popup-box" target="_blank"><img src="<?php //echo AYS_slider_ADMIN_URL; ?>/images/black_friday_banner_logo.png"></a>
                </div> 
                <div class="ays-slider-general-bundle-row">
                    <div class="ays-slider-general-bundle-text">
                        <?php //echo __( "Don't miss your", $this->plugin_name ); ?>
                        <span><?php //echo __( "20% Christmas sale", $this->plugin_name ); ?></span>
                        <?php //echo __( "for Ays Pro products!", $this->plugin_name ); ?>
                        <?php //echo __( "Do not miss Black Friday discount on", $this->plugin_name ); ?>
                        <span class="ays-slider-general-bundle-color">
                            <a href="https://ays-pro.com/wordpress/popup-box" class="ays-slider-general-bundle-link-color" target="_blank"><?php //echo __( "Popup Box", $this->plugin_name ); ?></a>
                        </span> <?php //echo __( "plugin!", $this->plugin_name ); ?> 
                    </div>
                    <p><?php //echo __("It's the GIFT season so take one from us.", $this->plugin_name ); ?></p>
                    <div class="ays-slider-general-bundle-sale-text ays-slider-general-bundle-color">
                        <div><a href="https://ays-pro.com/wordpress/image-slider" class="ays-slider-general-bundle-link-color" target="_blank"><?php //echo __( "Discount 20% OFF", $this->plugin_name ); ?></a></div>
                    </div>
                </div>
                <div class="ays-slider-general-bundle-row">
                    <a href="https://ays-pro.com/wordpress/image-slider" class="ays-slider-general-bundle-button" target="_blank">Get Now!</a>
                </div>
            </div>
        </div> -->
        <!--<div class="form-group row ays-slider-general-bundle-container">
            <div class="col-sm-12 ays-slider-general-bundle-box">
                <div class="ays-slider-general-bundle-row ays-slider-general-bundle-image-row">
                    <a href="https://ays-pro.com/wordpress/image-slider" target="_blank"><img src="<?php //echo AYS_SLD_ADMIN_URL; ?>/images/black_friday_banner_logo.png"></a>
                </div>
                <div class="ays-slider-general-bundle-row">
                    <div class="ays-slider-general-bundle-text">
                        <?php //echo __( "Do not miss Black Friday discount on", $this->plugin_name ); ?>
                        <span class="ays-slider-general-bundle-color">
                            <a href="https://ays-pro.com/wordpress/image-slider" class="ays-slider-general-bundle-link-color" target="_blank"><?php //echo __( "Image Slider", $this->plugin_name ); ?></a>
                        </span> <?php //echo __( "plugin!", $this->plugin_name ); ?>
                    </div>
                    <p><?php //echo __( "Spice up your website with the best Image Slider plugin on WordPress.", $this->plugin_name ); ?></p>
                    <div class="ays-slider-general-bundle-sale-text ays-slider-general-bundle-color">
                        <div><a href="https://ays-pro.com/wordpress/image-slider" class="ays-slider-general-bundle-link-color" target="_blank"><?php //echo __( "Discount 30% OFF", $this->plugin_name ); ?></a></div>
                    </div>
                </div>
                <div class="ays-slider-general-bundle-row">
                    <a href="https://ays-pro.com/wordpress/image-slider" class="ays-slider-general-bundle-button" target="_blank">Get Now!</a>
                </div>
            </div>
        </div> -->
		<div class="ays_submit_button" style="margin: 10px 0 0;">
        	<input type="submit" name="ays-submit" class="ays-submit button-primary" value="<?=__("Save Slider", $this->plugin_name);?>" />
        	<input type="submit" name="ays-apply" id="ays_submit_apply" class="ays-submit button" value="<?=__("Apply Slider", $this->plugin_name);?>" />
		</div>
    </form>
    </div>
</div>