<?php
global $ays_slider_db_version;
$ays_slider_db_version = '2.3.4';
/**
 * Fired during plugin activation
 *
 * @link       https://ays-pro.com/
 * @since      1.0.0
 *
 * @package    Ays_Slider
 * @subpackage Ays_Slider/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Ays_Slider
 * @subpackage Ays_Slider/includes
 * @author     Image Slider Team <info@ays-pro.com>
 */
class Ays_Slider_Activator {

    /**
     * Short Description. (use period)
     *
     * Long Description.
     *
     * @since    1.0.0
     */
    public static function activate() {
        $installed_ver = get_option("ays_slider_db_version");
        global $ays_slider_db_version;
        if ($installed_ver != $ays_slider_db_version) {

            require_once ABSPATH . 'wp-admin/includes/upgrade.php';
            global $wpdb;

            $table = $wpdb->prefix . 'ays_slider';
            $charset_collate = $wpdb->get_charset_collate();

            $sql = "CREATE TABLE $table (
                      id INT(16) UNSIGNED NOT NULL AUTO_INCREMENT,
                      title VARCHAR(255) NOT NULL,
                      description TEXT NOT NULL,
                      images TEXT NOT NULL,
                      images_titles TEXT NOT NULL,
                      images_descs TEXT NOT NULL,
                      images_alts TEXT NOT NULL,
                      images_urls TEXT NOT NULL,
                      images_dates TEXT NOT NULL,
                      width INT(16) NOT NULL,
                      height INT NOT NULL,
                      options TEXT NOT NULL,
                      custom_css TEXT NOT NULL,
                      PRIMARY KEY (id)
                    )$charset_collate;";
            dbDelta($sql);
            update_option('ays_slider_db_version', $ays_slider_db_version);
        }
    }

    public static function ays_slider_db_check() {
        global $ays_slider_db_version;
        if (get_site_option('ays_slider_db_version') != $ays_slider_db_version) {
            self::activate();
        }
    }
}